> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ebury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get beneficiaries

Get all beneficiaries for a given client


## OpenAPI

````yaml /openapi.json get /beneficiaries
openapi: 3.0.0
info:
  description: |
    Ebury API allows customers:
      to retrieve accounts, balances, beneficiaries, and transactions;
      to get buy/sell estimates and quotes, book trades and retrieve trade history;
      to allocate payments to a trade and beneficiary, and to submit payments in bulk;
      to download documents such as trade receipt, payment instruction and payment receipt;
      to manage the authorised persons on their account.
    The Metadata API allows applications to clarify some parts of the Ebury API
      that are impractical to express schematically.
  termsOfService: https://docs.ebury.io/#terms-of-use
  title: Ebury API
  version: '0.1'
servers:
  - url: https://{environment}.ebury.io
    variables:
      environment:
        default: api
        enum:
          - api
          - sandbox
security:
  - api_key: []
paths:
  /beneficiaries:
    parameters:
      - $ref: '#/components/parameters/ClientId'
      - $ref: '#/components/parameters/Authorization'
      - $ref: '#/components/parameters/XContactID'
    get:
      tags:
        - Beneficiaries
      summary: Get beneficiaries
      description: Get all beneficiaries for a given client.
      operationId: beneficiaries_get
      parameters:
        - description: The ID of the client
          in: query
          name: client_id
          required: true
          schema:
            type: string
        - description: Filter. The account number of the beneficiary you want to search.
          in: query
          name: account_number
          required: false
          schema:
            type: string
        - description: >-
            Filter. The iban of the account of the beneficiary you want to
            search.
          in: query
          name: iban
          required: false
          schema:
            type: string
        - description: >-
            Filter. The bank identifier of the account of the beneficiary you
            want to search.
          in: query
          name: bank_identifier
          required: false
          schema:
            type: string
        - description: >-
            Filter. Whether to return active, inactive, or all beneficiaries (no
            null bank accounts). Defaults to active only.
          in: query
          name: active
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
              - all
            default: 'true'
        - description: The desired page number for pagination. By default is 1.
          in: query
          name: page
          required: false
          schema:
            type: integer
            format: int32
        - description: The number of items per page for pagination. By default is 50.
          in: query
          name: page_size
          required: false
          schema:
            type: integer
            format: int32
        - name: Authorization
          in: header
          description: The access token
          required: true
          schema:
            type: string
        - description: The ID of the contact
          in: header
          name: X-Contact-ID
          required: false
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/BeneficiaryList'
        '400':
          $ref: '#/components/responses/ValidationError'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/ClientNotFound'
        '502':
          $ref: '#/components/responses/IntegrationError'
components:
  parameters:
    ClientId:
      description: The identifier of a client.
      in: query
      name: client_id
      required: true
      schema:
        type: string
    Authorization:
      description: The access token.
      in: header
      name: Authorization
      required: true
      schema:
        type: string
    XContactID:
      description: The identifier of a contact.
      in: header
      name: X-Contact-ID
      required: false
      schema:
        type: string
  responses:
    BeneficiaryList:
      description: Will successfully list the requested beneficiaries
      headers:
        x-total-count:
          description: Total number of available entries
          schema:
            type: integer
      content:
        application/json:
          schema:
            items:
              $ref: '#/components/schemas/Beneficiary'
            type: array
    ValidationError:
      description: >-
        Formatting, parameter or schema validation error. See error message for
        further details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
    Unauthorized:
      description: Access denied due to authentication failure.
    Forbidden:
      description: >-
        Could not complete action due to data constraints. Refer to error
        message for additional details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
    ClientNotFound:
      description: Client identifier not found.
    IntegrationError:
      description: Internal integration error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
  schemas:
    Beneficiary:
      allOf:
        - $ref: '#/components/schemas/BeneficiaryCoreData'
      description: The data of a beneficiary.
      properties:
        active:
          description: True if beneficiary is active, False otherwise.
          type: boolean
        aml_status:
          description: AML status of the beneficiary.
          enum:
            - OK
            - Pending Review
            - Pending information
            - Blocked
          type: string
        bank_accounts:
          description: The list of beneficiary's bank accounts.
          items:
            $ref: '#/components/schemas/BankAccount'
          type: array
        beneficiary_id:
          description: The identifier of the beneficiary.
          type: string
        created:
          description: Creation date of the beneficiary.
          format: date
          type: string
      required:
        - beneficiary_id
        - created
        - active
        - aml_status
        - bank_accounts
      type: object
    ErrorMessage:
      description: An error message.
      properties:
        code:
          type: string
          description: The code for the error.
        details:
          description: Error details
          type: string
        message:
          type: string
          description: A short description of the cause of the error.
      required:
        - code
        - message
        - details
      type: object
    BeneficiaryCoreData:
      description: The core data of a beneficiary.
      properties:
        address_line_1:
          description: The first address line of the beneficiary.
          type: string
        beneficiary_reference:
          description: The reference for the beneficiary.
          type: string
        country_code:
          description: The ISO 3166-1 alpha-2 code of the beneficiary's country.
          pattern: '[A-Z]{2}'
          type: string
        email_addresses:
          description: The list of beneficiary's email addresses.
          items:
            format: email
            type: string
          type: array
        email_notification:
          description: >-
            Whether the beneficiary should receive email notification of
            payments.
          type: boolean
        name:
          description: The name of the beneficiary.
          type: string
        post_code:
          description: The post code of the beneficiary.
          type: string
      type: object
    BankAccount:
      allOf:
        - $ref: '#/components/schemas/BankAccountCoreData'
      description: A bank account.
      properties:
        account_id:
          description: The identifier of the bank account.
          type: integer
      required:
        - account_id
      type: object
    BankAccountCoreData:
      description: >-
        The data of the bank account. Refer to the Metadata API for valid field
        combinations.
      properties:
        account_number:
          description: The account number of the bank account.
          type: string
        bank_address_line_1:
          description: The first address line of the bank.
          type: string
        bank_country_code:
          description: The ISO 3166-1 alpha-2 code of the bank's country.
          pattern: '[A-Z]{2}'
          type: string
        bank_currency_code:
          description: The ISO 4217 code of the bank account's currency.
          pattern: '[A-Z]{3}'
          type: string
        bank_identifier:
          description: The identifier of the bank.
          type: string
        bank_name:
          description: Name of the bank account holder.
          type: string
        correspondent_account:
          description: The account for the correspondant account of the bank.
          type: string
        correspondent_swift_code:
          description: The SWIFT code for the correspondant account of the bank.
          type: string
        iban:
          description: The IBAN of the bank account.
          type: string
        inn:
          description: The INN of the bank account.
          type: string
        kbk:
          description: The KBK of the bank account.
          type: string
        kio:
          description: The KIO of the bank account.
          type: string
        kpp:
          description: The KPP of the bank account.
          type: string
        purpose_of_payment:
          description: >-
            Text explaining the purpose of payment. Required by the Central Bank
            for all payments sent to China (CHN) in the Chinese Renminbi (CNY)
            currency or United Arab Emirates in any currency (GDE to RDA)
            [Coming soon].
          enum:
            - /CGODDR/
            - /CGODDR/PART/
            - /CGODDR/RETN/
            - /CSTRDR/
            - /CSTRDR/PART/
            - /CSTRDR/RETN/
            - /COCADR/
            - /COCADR/RTN/
            - /CCTFDR/
            - /CCTFDR/PART/
            - /CCTFDR/RETN/
            - /CCDNDR/
            - /CCDNDR/RTN/
            - GDE
            - GDI
            - GMS
            - STS
            - ATS
            - OTS
            - STR
            - SCO
            - INS
            - FIS
            - IPC
            - TCS
            - ITS
            - IFS
            - RDS
            - PMS
            - TTS
            - PRS
            - GOS
            - SAL
            - IGD
            - IID
            - PIP
            - PRR
            - DOE
            - ISH
            - ISL
            - ISS
            - IOL
            - IOD
            - GRI
            - CHC
            - EDU
            - ALW
            - AES
            - LAS
            - OVT
            - TKT
            - SAA
            - COP
            - COM
            - EOS
            - BON
            - PEN
            - UTL
            - DCP
            - LND
            - LIP
            - IPO
            - POR
            - RNT
            - LNC
            - EMI
            - DIV
            - ACM
            - CCP
            - POS
            - MCR
            - CIN
            - TOF
            - IGT
            - OAT
            - SVI
            - SVO
            - SVP
            - MWI
            - MWO
            - MWP
            - PRP
            - PRW
            - IRP
            - IRW
            - CEA
            - PPA
            - DSF
            - DLF
            - FSA
            - FIA
            - DSA
            - DLA
            - FDA
            - AFA
            - SLA
            - LLA
            - LEA
            - RFS
            - TCR
            - CEL
            - PPL
            - LDS
            - LDL
            - FSL
            - FIL
            - DSL
            - DLL
            - FDL
            - AFL
            - SLL
            - LLL
            - LEL
            - RLS
            - TCP
            - TAX
            - REL
            - RDL
            - REA
            - RDA
          type: string
        reason_for_trade:
          description: The reason for trade of the bank account.
          type: string
        reference_information:
          description: The reference information of the bank account.
          type: string
        russian_central_bank_account:
          description: The Russian central account number of the bank account.
          type: string
        swift_code:
          description: The SWIFT code of the bank account.
          type: string
        vo:
          description: The VO of the bank account.
          type: string
      required:
        - bank_country_code
        - bank_currency_code
      type: object
  securitySchemes:
    api_key:
      description: An API Key.
      in: header
      name: x-api-key
      type: apiKey

````